Public Class GOES_EspecialidadBusinessObject
    Inherits BusinessObject(Of GOES_Especialidad)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New GOES_EspecialidadDbHelper
    End Sub

    Public Sub New(ByVal entity As GOES_Especialidad)
        MyBase.New(entity)
        DbHelper = New GOES_EspecialidadDbHelper
    End Sub

    Public Sub New(ByVal idPlaza As Int32, ByVal idCorrelativo As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idPlaza = idPlaza
        _Entity.idCorrelativo = idCorrelativo
        Dim Entity_Aux As GOES_Especialidad = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As GOES_EspecialidadBusinessObject
    Protected Shared Function GetDdHelperInstance() As GOES_EspecialidadDbHelper
        If _Instance Is Nothing Then
            _Instance = New GOES_EspecialidadBusinessObject
        End If
    Return CType(_Instance.DbHelper, GOES_EspecialidadDbHelper)
    End Function

    Public Shared Function GetListGOES_Especialidad(Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Especialidad)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListGOES_EspecialidadByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Especialidad)
        Return GetDdHelperInstance.GetListGOES_EspecialidadByPlaza(idPlaza, foreignLevel)
    End Function

#End Region
End Class
